## phosh-osk-stub 0.46.0

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

# Whether we use the sm.puri.OSK0.desktop name
option('default_osk',
       type: 'boolean', value: true,
       description: 'Whether to install as default OSK for phosh')

option('man',
       type: 'boolean', value : false,
       description : 'generate man pages (requires rst2man)')

## phosh-osk-stub 0.25.0

=== debian/changelog ===
phosh-osk-stub (0.25.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Feb 2023 10:58:54 +0100

phosh-osk-stub (0.24.0-1) experimental; urgency=medium

  * New upstream release
  * Run tests under xvfb.
    They use gtk_test_init() now which needs a display.
  * Move desktop file out of /usr/share/applications.
    This avoids double listing them in phosh-mobile-settings.
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2023 13:07:22 +0100

phosh-osk-stub (0.23.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Install manpage
  * Install settings schema.
    Needed for the shortcuts
  * Drop all patches
  * Add symlinks for presage's en dictionary.
    The training corups used for it isn't nice but it's a start
    until we can train from some better dat.
  * fixup! Install manpage
  * d/control: Add deps and breaks for completion

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Dec 2022 18:37:15 +0100

phosh-osk-stub (0.23.0~rc1-2) experimental; urgency=medium

  * Allow to use non standard desktop file name.  This avoids dh-exec working
    round #831786 making the arch all build pass.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Dec 2022 20:43:22 +0100

phosh-osk-stub (0.23.0~rc1-1) experimental; urgency=medium

  * Initial Debian release (Closes: #1025060)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Nov 2022 17:00:57 +0100

=== debian/control ===
Source: phosh-osk-stub
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 json-glib-tools,
 libsystemd-dev,
 libfeedback-dev,
 gi-docgen <!nodoc>,
 gobject-introspection <!nodoc>,
 libgnome-desktop-3-dev,
 libgirepository1.0-dev <!nodoc>,
 libgtk-3-dev,
 libhandy-1-dev (>= 1.1.90),
 libjson-glib-dev,
 libpresage-dev,
 libwayland-dev,
 libxml2-utils,
 meson,
 python3-docutils <!nodoc>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/guidog/phosh-osk-stub/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
Rules-Requires-Root: no

Package: phosh-osk-stub
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgtk-3-0 (<< 3.24.35)
Description: Experimental on screen keyboard for Phosh
 phosh-osk-stub implements phosh's keyboard interface for ease of
 experimentation. The focus is on ease of change and debugging rather than
 stability. It features character popoversa and gesture based cursor
 navigation.
 .
 For production use it's recommended to use Phosh's official on screen
 keyboard squeekboard.

Package: phosh-osk-stub-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: API documentation for Phosh's OSK stub
 phosh-osk-stub implements phosh's keyboard interface for ease of
 experimentation. The focus is on ease of change and debugging rather than
 stability. It features character popoversa and gesture based cursor
 navigation.
 .
 For production use it's recommended to use Phosh's official on screen
 keyboard squeekboard.
 .
 This package contains the development documentation.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/phosh-mobile-settings.*\.tar\.gz/phosh-mobile-settings-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/guidog/phosh-osk-stub/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh-osk-stub 0.28.0

=== debian/changelog ===
phosh-osk-stub (0.28.0-1pureos1~oct1) octarine; urgency=medium

  * No changes needed
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 10:44:08 +0200

phosh-osk-stub (0.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 10:04:59 +0200

phosh-osk-stub (0.27.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * tests: Work around byzantium's old glib
  * d/rules: Disable doc build.
    Linking gir fails on byzantium.
  * d/control: Drop the Breaks on older GTK.
    The hunspell corrector is not sensitive to the issues and it's the
    default.
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Apr 2023 19:37:15 +0200

phosh-osk-stub (0.27.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add hunspell dependencies
  * d/install: Install metainfo

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Apr 2023 17:44:26 +0200

phosh-osk-stub (0.25.0-1pureos1~oct1) octarine; urgency=medium

  * New upstream release
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 18:44:45 +0100

phosh-osk-stub (0.24.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * Pureosify
  * Work around old meson
  * Drop Breaks on older GTK. Completion is not going to work
    nicely on Byzantium as it also lacks recent presage to
    process dictionaries.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Feb 2023 10:27:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Ddefault_osk=false -Dgtk_doc=false

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dman=true
else
  CONFIGURE_OPTS+=-Dman=false
endif

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build
endif

## phosh-osk-stub 0.31.0

=== debian/changelog ===
phosh-osk-stub (0.31.0-1) unstable; urgency=medium

  * Upload to unstable to make it easier to grab
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 12:05:44 +0200

phosh-osk-stub (0.30.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2023 12:04:13 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libgirepository1.0-dev <!nodoc>,
  libgtk-3-dev,
  libhandy-1-dev (>= 1.1.90),
+ libhunspell-dev,
  libjson-glib-dev,
  libpresage-dev,
  libwayland-dev,
@@ -34,6 +35,9 @@
  ${shlibs:Depends},
 Breaks:
  libgtk-3-0 (<< 3.24.35)
+Recommends:
+ fonts-noto-core,
+ hunspell-en-us,
 Description: Experimental on screen keyboard for Phosh
  phosh-osk-stub implements phosh's keyboard interface for ease of
  experimentation. The focus is on ease of change and debugging rather than

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/phosh-osk-stub.*\.tar\.gz/phosh-osk-stub-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/guidog/phosh-osk-stub/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh-osk-stub 0.34.0

=== debian/changelog ===
phosh-osk-stub (0.34.0-1pureos1) crimson; urgency=medium

  * No changes needed.
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Dec 2023 18:57:39 +0100

phosh-osk-stub (0.34.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Dec 2023 18:14:50 +0100

phosh-osk-stub (0.33.0-1pureos1) crimson; urgency=medium

  * No changes needed
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 11:43:53 +0100

phosh-osk-stub (0.33.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Print details on test failures
  * tests: Use memory gsettings backend

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 11:12:10 +0100

phosh-osk-stub (0.32.0-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Oct 2023 14:47:25 +0200

phosh-osk-stub (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Oct 2023 14:12:27 +0200

phosh-osk-stub (0.31.0-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 12:39:12 +0200

phosh-osk-stub (0.30.0-1pureos1) crimson; urgency=medium

  * Drop all patches.
    Only needed for Byzantium
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2023 13:48:24 +0200

phosh-osk-stub (0.28.0-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Jul 2023 21:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phosh-osk-stub
 Section: x11
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  debhelper-compat (= 13),
  json-glib-tools,
@@ -24,8 +25,8 @@
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-osk-stub/
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
+XSBC-Original-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
 Rules-Requires-Root: no
 
 Package: phosh-osk-stub
@@ -33,8 +34,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- libgtk-3-0 (<< 3.24.35)
 Recommends:
  fonts-noto-core,
  hunspell-en-us,

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build
+	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build --print-errorlogs
 endif

## phosh-osk-stub 0.38.0

=== debian/changelog ===
phosh-osk-stub (0.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 16:46:01 +0200

phosh-osk-stub (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Use signed upstream tarballs

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2024 15:56:47 +0100

phosh-osk-stub (0.36.0-2) unstable; urgency=medium

  * Disable varnam on mips64el
    c-shared mode currently isn't supported on this platform.
    (Closes: #1063246)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 06 Feb 2024 15:28:10 +0100

phosh-osk-stub (0.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 12:10:28 +0100

phosh-osk-stub (0.35.0-2) unstable; urgency=medium

  * Enable varnam support

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Jan 2024 10:27:14 +0100

phosh-osk-stub (0.35.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jan 2024 20:00:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: phosh-osk-stub
 Section: x11
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  debhelper-compat (= 13),
  json-glib-tools,
@@ -12,6 +11,7 @@
  gobject-introspection <!nodoc>,
  libgnome-desktop-3-dev,
  libgirepository1.0-dev <!nodoc>,
+ libgovarnam-dev [!mips64el],
  libgtk-3-dev,
  libhandy-1-dev (>= 1.1.90),
  libhunspell-dev,
@@ -25,8 +25,8 @@
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-osk-stub/
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
-XSBC-Original-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
 Rules-Requires-Root: no
 
 Package: phosh-osk-stub
@@ -34,9 +34,13 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ libgtk-3-0 (<< 3.24.35)
 Recommends:
  fonts-noto-core,
  hunspell-en-us,
+Suggests:
+ varnam-schemes-ml | varnam-schemes-hi | varnam-schemes-ta,
 Description: Experimental on screen keyboard for Phosh
  phosh-osk-stub implements phosh's keyboard interface for ease of
  experimentation. The focus is on ease of change and debugging rather than

## phosh-osk-stub 0.42.0

=== debian/changelog ===
phosh-osk-stub (0.42.0-1) unstable; urgency=medium

  * New upstream release
    - Lower velocity needed to swipe close the OSK a bit
    - Enable hint based completion by default

 -- Guido Günther <agx@sigxcpu.org>  Sun, 29 Sep 2024 17:36:45 +0200

phosh-osk-stub (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - Provide layout information so e.g. phosh-mobile-settings can use
      it to show only supported layouts
    - Allow to paste clipboard contents
    - varnam completer: Learn accepted words to improve predictions
  * d/control: B-D on libgmobile-dev
  * Install layout info

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 19:37:25 +0200

phosh-osk-stub (0.41.1-1) unstable; urgency=medium

  * New upstream release
    - Unswap Enter and Backspace
    - Require higher velocity to swipe close keyboard

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Aug 2024 08:31:36 +0200

phosh-osk-stub (0.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Aug 2024 23:11:11 +0200

phosh-osk-stub (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - Allow to swipe close the keyboard
    - Allow for more rows to support e.g. Thai layouts
    - Add more layouts
    - Allow to open OSK settings from menu popover

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 12:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  gobject-introspection <!nodoc>,
  libgnome-desktop-3-dev,
  libgirepository1.0-dev <!nodoc>,
+ libgmobile-dev,
  libgovarnam-dev [!mips64el],
  libgtk-3-dev,
  libhandy-1-dev (>= 1.1.90),

## phosh-osk-stub 0.44.0

=== debian/changelog ===
phosh-osk-stub (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Update description as upstream removed the experimental status

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Dec 2024 11:36:56 +0100

phosh-osk-stub (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add special layouts for pin, digit and phone number input purpose
    * Make Persian layout close to ISIRI 9147
  * alternatives: Adjust to updated app-id
  * alternatives: Bump priority.
    See discussion in 
    https://salsa.debian.org/DebianOnMobile-team/meta-phosh/-/merge_requests/38

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 10:06:29 +0100

phosh-osk-stub (0.43.0-2) unstable; urgency=medium

  * d/control: Recommend data packager.
    This makes it easier to get prediction data for presage

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Nov 2024 14:51:16 +0100

phosh-osk-stub (0.43.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on recent desktop schemas. Needed for accent colors

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 08:47:55 +0100

phosh-osk-stub (0.43~rc1-1) unstable; urgency=medium

  * New upstream release
    - Add <ctrl> and <alt> modifiers and <menu> key to the shortcuts bar
    - Support accent colors
    - Better handle overlapping key presses to ease fast typing
    - Make lower- and upper-case view of terminal layout more consistent
    - presage: Don't set abbrev predictor as it adds random unicode chars
    - Ship completer descriptions so mobile settings knows about them
    - User documentation updates

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Nov 2024 20:09:20 +0100

## phosh-osk-stub 0.45~rc1

=== debian/changelog ===
phosh-osk-stub (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
    * Long press on shift toggles caps lock
    * Update emoji data
    * Update IL layout

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 12:38:25 +0100

## phosh-osk-stub 0.45.0

=== debian/changelog ===
phosh-osk-stub (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Feb 2025 14:41:58 +0100

## phosh-osk-stub 0.46~rc1

=== debian/changelog ===
phosh-osk-stub (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
    * Improve key symbols for layer switching
    * Simplify switching to Symbols2 layer

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Mar 2025 14:51:58 +0100

## phosh-osk-stub 0.46.0

=== debian/changelog ===
phosh-osk-stub (0.46.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Mar 2025 12:09:31 +0200

=== debian/control ===
--- 
+++ 
@@ -35,21 +35,28 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ gsettings-desktop-schemas (>= 47),
 Breaks:
  libgtk-3-0 (<< 3.24.35)
 Recommends:
  fonts-noto-core,
  hunspell-en-us,
+ phosh-osk-data-packager,
 Suggests:
  varnam-schemes-ml | varnam-schemes-hi | varnam-schemes-ta,
-Description: Experimental on screen keyboard for Phosh
- phosh-osk-stub implements phosh's keyboard interface for ease of
- experimentation. The focus is on ease of change and debugging rather than
- stability. It features character popoversa and gesture based cursor
- navigation.
+Description: An alternative on screen keyboard for Phosh
+ phosh-osk-stub is an on screen keyboard (OSK) for Phosh. It features
  .
- For production use it's recommended to use Phosh's official on screen
- keyboard squeekboard.
+  * Character popovers
+  * Emoji layout
+  * Cursor navigation via space-bar long-press
+  * Word correction and completion via hunspell or presage
+  * Special layouts for pin, digit and phone number input purpose
+  * A customizable shortcut bar in the terminal layout
+  * Paste buttons in the completion bar and menu
+  * Experimental input of Indic languages using govarnam
+ .
+ If you're looking for flexible layouts customization look at squeekboard.
 
 Package: phosh-osk-stub-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Ddefault_osk=false -Dgtk_doc=false
+CONFIGURE_OPTS=-Ddefault_osk=false
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-  CONFIGURE_OPTS+=-Dman=true
+  CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
 else
-  CONFIGURE_OPTS+=-Dman=false
+  CONFIGURE_OPTS+=-Dgtk_doc=false -Dman=false
 endif
 
 %:

=== debian/tests/control ===
Test-Command: /usr/bin/phosh-osk-stub --help
Restrictions: superficial
Depends: @

## phosh-osk-stub 0.48.0

=== debian/changelog ===
phosh-osk-stub (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * Fix hunspell completer with non-UTF8 dictionaries (e.g. PL)
    * Several leak fixes
    * Change completer right away. Until know it would only get
      updated on layout changes

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jun 2025 16:42:06 +0200

phosh-osk-stub (0.48~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Add pipe completer example
    * New layouts:
        * us+dvorak

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:37:45 +0200

phosh-osk-stub (0.48~alpha1-1) experimental; urgency=medium

  * New upstream development release
  * Project got renamed to stevia

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 May 2025 10:41:46 +0200

phosh-osk-stub (0.47.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 May 2025 11:43:55 +0200

phosh-osk-stub (0.47~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    * Add (optional) key indicator popover

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 May 2025 12:24:27 +0200

phosh-osk-stub (0.47~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    * Add emojis to completions
  * Add build-deps for new tests
  * Use writable home dir in tests. The varnam and presage
    completers expect this.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 May 2025 10:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,14 @@
  libxml2-utils,
  meson,
  python3-docutils <!nodoc>,
+ presage <!nocheck>,
+ varnam-schemes-ml <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
-Homepage: https://gitlab.gnome.org/guidog/phosh-osk-stub/
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stub.git
+Homepage: https://gitlab.gnome.org/guidog/stevia/
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stevia
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-stevia.git
 Rules-Requires-Root: no
 
 Package: phosh-osk-stub
@@ -37,15 +39,15 @@
  ${shlibs:Depends},
  gsettings-desktop-schemas (>= 47),
 Breaks:
- libgtk-3-0 (<< 3.24.35)
+ libgtk-3-0 (<< 3.24.35),
 Recommends:
  fonts-noto-core,
  hunspell-en-us,
  phosh-osk-data-packager,
 Suggests:
  varnam-schemes-ml | varnam-schemes-hi | varnam-schemes-ta,
-Description: An alternative on screen keyboard for Phosh
- phosh-osk-stub is an on screen keyboard (OSK) for Phosh. It features
+Description: Alternative on screen keyboard for Phosh
+ Stevia is an on screen keyboard (OSK) for Phosh. It features
  .
   * Character popovers
   * Emoji layout
@@ -64,8 +66,8 @@
 Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
-Description: API documentation for Phosh's OSK stub
- phosh-osk-stub implements phosh's keyboard interface for ease of
+Description: API documentation for Stevia
+ Stevia implements phosh's keyboard interface for ease of
  experimentation. The focus is on ease of change and debugging rather than
  stability. It features character popoversa and gesture based cursor
  navigation.
